Bug 1029068 - Review Request: golang-googlecode-tools - Supplementary tools and packages for Go
Review Request: golang-googlecode-tools - Supplementary tools and packages fo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lokesh Mandvekar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 10:30 EST by Vincent Batts
Modified: 2014-07-01 18:59 EDT (History)
6 users (show)

See Also:
Fixed In Version: golang-googlecode-tools-0-0.3.hg17c8fe23290a.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 12:11:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lsm5: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Vincent Batts 2013-11-11 10:30:13 EST
Spec URL: http://hashbangbash.com/~vbatts/rpmbuild/SPECS/golang-googlecode-tools.spec
SRPM URL: http://hashbangbash.com/~vbatts/rpmbuild/SRPMS/golang-googlecode-tools-0-0.0.hg17c8fe23290a.fc20.src.rpm
Description: Supplementary tools and packages for the Go programming language
Fedora Account System Username: vbatts@redhat.com

Koji scratch-build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6165280
6165280 build (rawhide, golang-googlecode-tools-0-0.0.hg17c8fe23290a.fc20.src.rpm): free -> open (arm02-builder08.arm.fedoraproject.org)
  6165281 buildArch (golang-googlecode-tools-0-0.0.hg17c8fe23290a.fc20.src.rpm, armv7hl): open (arm02-builder14.arm.fedoraproject.org)
  6165282 buildArch (golang-googlecode-tools-0-0.0.hg17c8fe23290a.fc20.src.rpm, x86_64): free
  6165283 buildArch (golang-googlecode-tools-0-0.0.hg17c8fe23290a.fc20.src.rpm, i686): open (buildvm-25.phx2.fedoraproject.org)
  6165282 buildArch (golang-googlecode-tools-0-0.0.hg17c8fe23290a.fc20.src.rpm, x86_64): free -> open (buildvm-09.phx2.fedoraproject.org)
  6165282 buildArch (golang-googlecode-tools-0-0.0.hg17c8fe23290a.fc20.src.rpm, x86_64): open (buildvm-09.phx2.fedoraproject.org) -> closed
  0 free  3 open  1 done  0 failed
  6165283 buildArch (golang-googlecode-tools-0-0.0.hg17c8fe23290a.fc20.src.rpm, i686): open (buildvm-25.phx2.fedoraproject.org) -> closed
  0 free  2 open  2 done  0 failed
  6165281 buildArch (golang-googlecode-tools-0-0.0.hg17c8fe23290a.fc20.src.rpm, armv7hl): open (arm02-builder14.arm.fedoraproject.org) -> closed
  0 free  1 open  3 done  0 failed
6165280 build (rawhide, golang-googlecode-tools-0-0.0.hg17c8fe23290a.fc20.src.rpm): open (arm02-builder08.arm.fedoraproject.org) -> closed
  0 free  0 open  4 done  0 failed

6165280 build (rawhide, golang-googlecode-tools-0-0.0.hg17c8fe23290a.fc20.src.rpm) completed successfully

rpmlint: $ rpmlint ./golang-googlecode-tools-0-0.0.hg17c8fe23290a.fc20.src.rpm 
golang-googlecode-tools.src: W: non-standard-group Unspecified
golang-googlecode-tools.src:75: W: setup-not-quiet
golang-googlecode-tools.src: W: no-cleaning-of-buildroot %install
golang-googlecode-tools.src: W: no-cleaning-of-buildroot %clean
golang-googlecode-tools.src: W: no-buildroot-tag
golang-googlecode-tools.src: W: no-%clean-section
golang-googlecode-tools.src:96: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 96)
1 packages and 0 specfiles checked; 0 errors, 7 warnings.
Comment 1 Lokesh Mandvekar 2013-11-11 11:15:54 EST
not a full review yet but:

lines with %defattr in all the %files sections and also '%doc codereview.cfg' can be gotten rid of.

codereview.cfg is probably something for upstream devs but not quite useful to the package (it was excluded from some go deps too). Unless there's some reason to include it..
Comment 2 Vincent Batts 2013-11-12 09:55:42 EST
leaving the defattr, since without it rpmlint reports errors:
golang-googlecode-tools.src:263: E: files-attr-not-set

SPEC: http://hashbangbash.com/~vbatts/rpmbuild/SPECS/golang-googlecode-tools.spec
SRPM: http://hashbangbash.com/~vbatts/rpmbuild/SRPMS/golang-googlecode-tools-0-0.1.hg17c8fe23290a.el6.src.rpm

$ rpmlint /home/vbatts/rpmbuild/SRPMS/golang-googlecode-tools-0-0.1.hg17c8fe23290a.el6.src.rpm
golang-googlecode-tools.src: W: non-standard-group Unspecified
golang-googlecode-tools.src:105: W: setup-not-quiet
golang-googlecode-tools.src: W: no-cleaning-of-buildroot %install
golang-googlecode-tools.src: W: no-cleaning-of-buildroot %clean
golang-googlecode-tools.src: W: no-buildroot-tag
golang-googlecode-tools.src: W: no-%clean-section
golang-googlecode-tools.src:115: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 115)
1 packages and 0 specfiles checked; 0 errors, 7 warnings.


$ fedpkg scratch-build --srpm /home/vbatts/rpmbuild/SRPMS/golang-googlecode-tools-0-0.1.hg17c8fe23290a.el6.src.rpm
Exception AttributeError: '_read_only' in <bound method write.__del__ of <git.config.write object at 0x325fc90>> ignored
[====================================] 100% 00:00:01 750.97 KiB 524.70 KiB/sec
Building golang-googlecode-tools-0-0.1.hg17c8fe23290a.el6.src.rpm for rawhide
Created task: 6170238
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6170238
Watching tasks (this may be safely interrupted)...
6170238 build (rawhide, golang-googlecode-tools-0-0.1.hg17c8fe23290a.el6.src.rpm): free
6170238 build (rawhide, golang-googlecode-tools-0-0.1.hg17c8fe23290a.el6.src.rpm): free -> open (arm02-builder19.arm.fedoraproject.org)
  6170239 buildArch (golang-googlecode-tools-0-0.1.hg17c8fe23290a.el6.src.rpm, x86_64): free
  6170240 buildArch (golang-googlecode-tools-0-0.1.hg17c8fe23290a.el6.src.rpm, i686): open (buildvm-20.phx2.fedoraproject.org)
  6170239 buildArch (golang-googlecode-tools-0-0.1.hg17c8fe23290a.el6.src.rpm, x86_64): free -> open (buildvm-12.phx2.fedoraproject.org)
  6170239 buildArch (golang-googlecode-tools-0-0.1.hg17c8fe23290a.el6.src.rpm, x86_64): open (buildvm-12.phx2.fedoraproject.org) -> closed
  0 free  2 open  1 done  0 failed
  6170240 buildArch (golang-googlecode-tools-0-0.1.hg17c8fe23290a.el6.src.rpm, i686): open (buildvm-20.phx2.fedoraproject.org) -> closed
  0 free  1 open  2 done  0 failed
6170238 build (rawhide, golang-googlecode-tools-0-0.1.hg17c8fe23290a.el6.src.rpm): open (arm02-builder19.arm.fedoraproject.org) -> closed
  0 free  0 open  3 done  0 failed

6170238 build (rawhide, golang-googlecode-tools-0-0.1.hg17c8fe23290a.el6.src.rpm) completed successfully
Comment 3 Vincent Batts 2013-11-12 11:49:38 EST
SPEC: http://hashbangbash.com/~vbatts/rpmbuild/SPECS/golang-googlecode-tools.spec
SRPM: http://hashbangbash.com/~vbatts/rpmbuild/SRPMS/golang-googlecode-tools-0-0.2.hg17c8fe23290a.el6.src.rpm

rpmlint /home/vbatts/rpmbuild/SRPMS/golang-googlecode-tools-0-0.2.hg17c8fe23290a.el6.src.rpm
golang-googlecode-tools.src: W: non-standard-group Unspecified
golang-googlecode-tools.src:108: W: setup-not-quiet
golang-googlecode-tools.src: W: no-cleaning-of-buildroot %install
golang-googlecode-tools.src: W: no-cleaning-of-buildroot %clean
golang-googlecode-tools.src: W: no-buildroot-tag
golang-googlecode-tools.src: W: no-%clean-section
1 packages and 0 specfiles checked; 0 errors, 6 warnings.


edpkg scratch-build --srpm /home/vbatts/rpmbuild/SRPMS/golang-googlecode-tools-0-0.2.hg17c8fe23290a.el6.src.rpm
Exception AttributeError: '_read_only' in <bound method write.__del__ of <git.config.write object at 0x295dc90>> ignored
[====================================] 100% 00:00:02 751.19 KiB 312.72 KiB/sec
Building golang-googlecode-tools-0-0.2.hg17c8fe23290a.el6.src.rpm for rawhide
Created task: 6172421
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6172421
Watching tasks (this may be safely interrupted)...
6172421 build (rawhide, golang-googlecode-tools-0-0.2.hg17c8fe23290a.el6.src.rpm): free
6172421 build (rawhide, golang-googlecode-tools-0-0.2.hg17c8fe23290a.el6.src.rpm): free -> open (arm02-builder05.arm.fedoraproject.org)
  6172422 buildArch (golang-googlecode-tools-0-0.2.hg17c8fe23290a.el6.src.rpm, x86_64): open (buildvm-11.phx2.fedoraproject.org)
  6172423 buildArch (golang-googlecode-tools-0-0.2.hg17c8fe23290a.el6.src.rpm, i686): open (buildvm-11.phx2.fedoraproject.org)
  6172422 buildArch (golang-googlecode-tools-0-0.2.hg17c8fe23290a.el6.src.rpm, x86_64): open (buildvm-11.phx2.fedoraproject.org) -> closed
  0 free  2 open  1 done  0 failed
  6172423 buildArch (golang-googlecode-tools-0-0.2.hg17c8fe23290a.el6.src.rpm, i686): open (buildvm-11.phx2.fedoraproject.org) -> closed
  0 free  1 open  2 done  0 failed
6172421 build (rawhide, golang-googlecode-tools-0-0.2.hg17c8fe23290a.el6.src.rpm): open (arm02-builder05.arm.fedoraproject.org) -> closed
  0 free  0 open  3 done  0 failed

6172421 build (rawhide, golang-googlecode-tools-0-0.2.hg17c8fe23290a.el6.src.rpm) completed successfully
Comment 4 Vincent Batts 2013-11-12 13:29:30 EST
removing the conflicting directory ownership

SPEC: http://hashbangbash.com/~vbatts/rpmbuild/SPECS/golang-googlecode-tools.spec
SRPM: http://hashbangbash.com/~vbatts/rpmbuild/SRPMS/golang-googlecode-tools-0-0.3.hg17c8fe23290a.el6.src.rpm

rpmlint /home/vbatts/rpmbuild/SRPMS/golang-googlecode-tools-0-0.3.hg17c8fe23290a.el6.src.rpm
golang-googlecode-tools.src: W: non-standard-group Unspecified
golang-googlecode-tools.src:108: W: setup-not-quiet
golang-googlecode-tools.src: W: no-cleaning-of-buildroot %install
golang-googlecode-tools.src: W: no-cleaning-of-buildroot %clean
golang-googlecode-tools.src: W: no-buildroot-tag
golang-googlecode-tools.src: W: no-%clean-section
1 packages and 0 specfiles checked; 0 errors, 6 warnings.


fedpkg scratch-build --srpm /home/vbatts/rpmbuild/SRPMS/golang-googlecode-tools-0-0.3.hg17c8fe23290a.el6.src.rpm
Exception AttributeError: '_read_only' in <bound method write.__del__ of <git.config.write object at 0x2ad8c90>> ignored
[====================================] 100% 00:00:01 751.30 KiB 434.69 KiB/sec
Building golang-googlecode-tools-0-0.3.hg17c8fe23290a.el6.src.rpm for rawhide
Created task: 6172800 
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6172800
Watching tasks (this may be safely interrupted)...
6172800 build (rawhide, golang-googlecode-tools-0-0.3.hg17c8fe23290a.el6.src.rpm): open (buildvm-09.phx2.fedoraproject.org)
  6172801 buildArch (golang-googlecode-tools-0-0.3.hg17c8fe23290a.el6.src.rpm, x86_64): free
  6172802 buildArch (golang-googlecode-tools-0-0.3.hg17c8fe23290a.el6.src.rpm, i686): open (buildvm-13.phx2.fedoraproject.org)
  6172801 buildArch (golang-googlecode-tools-0-0.3.hg17c8fe23290a.el6.src.rpm, x86_64): free -> open (buildvm-20.phx2.fedoraproject.org)
  6172802 buildArch (golang-googlecode-tools-0-0.3.hg17c8fe23290a.el6.src.rpm, i686): open (buildvm-13.phx2.fedoraproject.org) -> closed
  0 free  2 open  1 done  0 failed
  6172801 buildArch (golang-googlecode-tools-0-0.3.hg17c8fe23290a.el6.src.rpm, x86_64): open (buildvm-20.phx2.fedoraproject.org) -> closed
  0 free  1 open  2 done  0 failed
6172800 build (rawhide, golang-googlecode-tools-0-0.3.hg17c8fe23290a.el6.src.rpm): open (buildvm-09.phx2.fedoraproject.org) -> closed
  0 free  0 open  3 done  0 failed

6172800 build (rawhide, golang-googlecode-tools-0-0.3.hg17c8fe23290a.el6.src.rpm) completed successfully
Comment 5 Lokesh Mandvekar 2013-11-12 13:44:45 EST
the resulting rpms seem to install well, except golang-godoc:

$ sudo rpm -i RPMS/x86_64/golang-godoc-0-0.3.hg17c8fe23290a.fc21.x86_64.rpm
error: Failed dependencies:
	golang-godoc < 1.1-4 is obsoleted by (installed) golang-1.1.2-5.fc21.x86_64
Comment 6 Vincent Batts 2013-11-21 14:59:23 EST
(In reply to Lokesh Mandvekar from comment #5)
> the resulting rpms seem to install well, except golang-godoc:
> 
> $ sudo rpm -i RPMS/x86_64/golang-godoc-0-0.3.hg17c8fe23290a.fc21.x86_64.rpm
> error: Failed dependencies:
> 	golang-godoc < 1.1-4 is obsoleted by (installed) golang-1.1.2-5.fc21.x86_64

this will be fixed with the golang build > 1.1.2-5
We've separated godoc out to a subpackage, and golang will require /usr/bin/godoc, to be provided by golang-godoc or this go.tools subpackage
https://koji.fedoraproject.org/koji/taskinfo?taskID=6210698
Comment 7 Lokesh Mandvekar 2013-12-02 13:47:25 EST
approved golang-googlecode-tools-0-0.3.hg17c8fe23290a
Comment 8 Vincent Batts 2013-12-02 13:59:16 EST
New Package SCM Request
=======================
Package Name: golang-googlecode-tools
Short Description: Supplementary tools and packages for Go
Owners: vbatts
Branches: f19 f20 el6
Comment 9 Gwyn Ciesla 2013-12-02 16:08:36 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-12-03 11:06:27 EST
golang-googlecode-tools-0-0.3.hg17c8fe23290a.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-tools-0-0.3.hg17c8fe23290a.el6
Comment 11 Fedora Update System 2013-12-03 11:17:49 EST
golang-googlecode-tools-0-0.3.hg17c8fe23290a.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-googlecode-tools-0-0.3.hg17c8fe23290a.fc19
Comment 12 Fedora Update System 2013-12-03 11:19:01 EST
golang-googlecode-tools-0-0.3.hg17c8fe23290a.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-tools-0-0.3.hg17c8fe23290a.fc20
Comment 13 Fedora Update System 2013-12-03 13:22:05 EST
golang-googlecode-tools-0-0.3.hg17c8fe23290a.fc20 has been pushed to the Fedora 20 testing repository.
Comment 14 Fedora Update System 2013-12-19 12:11:54 EST
golang-googlecode-tools-0-0.3.hg17c8fe23290a.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 15 Fedora Update System 2013-12-19 20:34:35 EST
golang-googlecode-tools-0-0.3.hg17c8fe23290a.fc20 has been pushed to the Fedora 20 stable repository.
Comment 16 Fedora Update System 2013-12-19 21:01:35 EST
golang-googlecode-tools-0-0.3.hg17c8fe23290a.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.